<?php
include "koneksi.php";

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $id = $_POST['id'];  // ID pasaran yang akan diedit
    $nama_pasaran = mysqli_real_escape_string($koneksi, $_POST['nama_pasaran']);
    $link_livedraw = mysqli_real_escape_string($koneksi, $_POST['link_livedraw']);

    // Ambil nama pasaran lama sebelum diupdate
    $qry_get_old_nama = "SELECT nama_pasaran FROM data_pasaran WHERE id = '$id'";
    $result_old_nama = mysqli_query($koneksi, $qry_get_old_nama);
    $old_nama_data = mysqli_fetch_assoc($result_old_nama);
    $old_nama_pasaran = $old_nama_data['nama_pasaran'];

    // Cek apakah ada perubahan gambar
    $gambar_pasaran = $_FILES['gambar_pasaran']['name'];
    if ($gambar_pasaran) {
        // Jika gambar diupload, maka upload gambar baru
        $upload_dir = "images/pasaran"; // Direktori penyimpanan gambar
        if (!is_dir($upload_dir)) {
            mkdir($upload_dir, 0777, true);
        }

        $gambar_tmp = $_FILES['gambar_pasaran']['tmp_name'];
        $gambar_path = $upload_dir . "/" . $gambar_pasaran;

        if (move_uploaded_file($gambar_tmp, $gambar_path)) {
            // Ambil data lama untuk menghapus gambar lama jika ada
            $qry_get_old_data = "SELECT gambar_pasaran FROM data_pasaran WHERE id = '$id'";
            $result = mysqli_query($koneksi, $qry_get_old_data);
            $old_data = mysqli_fetch_assoc($result);
            if ($old_data && file_exists($old_data['gambar_pasaran'])) {
                // Hapus gambar lama dari server
                unlink($old_data['gambar_pasaran']);
            }
        } else {
            echo "Gagal mengupload gambar baru.";
            exit();
        }
    } else {
        // Jika gambar tidak diubah, gunakan gambar lama
        $qry_get_old_data = "SELECT gambar_pasaran FROM data_pasaran WHERE id = '$id'";
        $result = mysqli_query($koneksi, $qry_get_old_data);
        $old_data = mysqli_fetch_assoc($result);
        $gambar_path = $old_data['gambar_pasaran'];
    }

    // Update data pasaran di database
    $query = "UPDATE data_pasaran SET nama_pasaran = '$nama_pasaran', gambar_pasaran = '$gambar_path', link_livedraw = '$link_livedraw' WHERE id = '$id'";

    if (mysqli_query($koneksi, $query)) {
        // Update juga nama_pasaran di tabel result_pasaran jika nama_pasaran berubah
        if ($old_nama_pasaran !== $nama_pasaran) {
            $query_update_result = "UPDATE result_pasaran SET nama_pasaran = '$nama_pasaran' WHERE nama_pasaran = '$old_nama_pasaran'";
            mysqli_query($koneksi, $query_update_result);
        }

        header("Location: index.php?page=daftar_pasaran&notif=berhasil_edit_data");
        exit();
    } else {
        echo "Error: " . mysqli_error($koneksi);
    }
}
?>